Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.aggregate
Class StringValueMin

    java.lang.Object
      org.apache.hadoop.mapred.lib.aggregate.StringValueMin

All Implemented Interfaces:
  ValueAggregator

    public class StringValueMin

extends Object
implements ValueAggregator

This class implements a value aggregator that maintain the smallest of a sequence of strings.

Constructor Summary
`StringValueMin()` the default constructor

Method Summary
`void` | `addNextValue(Object val)` add a value to the aggregator
`ArrayList<String>` | `getCombinerOutput()`
`String` | `getReport()`
`String` | `getVal()`
`void` | `reset()` reset the aggregator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValueMin

    public StringValueMin()

  the default constructor

Method Detail

### addNextValue

    public void addNextValue(Object val)

  add a value to the aggregator

  Specified by:
    `addNextValue` in interface `ValueAggregator`
  Parameters:
    `val` - a string.

### getVal

    public String getVal()

  Returns:
    the aggregated value

### getReport

    public String getReport()

  Specified by:
    `getReport` in interface `ValueAggregator`
  Returns:
    the string representation of the aggregated value

### reset

    public void reset()

  reset the aggregator

  Specified by:
    `reset` in interface `ValueAggregator`

### getCombinerOutput

    public ArrayList<String> getCombinerOutput()

  Specified by:
    `getCombinerOutput` in interface `ValueAggregator`
  Returns:
    return an array of one element. The element is a string representation of the aggregated value. The return value is expected to be used by the a combiner.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation